#include <stdio.h>
#include "cipher.h"

void main(void)
{

#define n 400000
  RNG r;
  float f;

  long bin[RNGSIZE],x;

  memset(bin,0,sizeof(bin));
  rnginit("love nobbins",&r);

  for(x=0;x<n;x++) bin[rng(&r)]++;

  printf("\n\n");
  for(x=0;x<RNGSIZE;x++)
  {
    f = (float)bin[x]/((float)n/RNGSIZE);
    if (f < .990 || f > 1.01) printf("%.2lx:%.4f ",x,f);
  }
}



