#include <stdlib.h>

long invmod(long e, long n)
{
  long rp=n; long rc=e; long rn;
  long tc=1; long tp=0; long tn; long qc;

  while (rc != 1 && rc != 0)
  {
    qc = rp/rc;
    rn = rp%rc;
    tn=(tp-tc*qc)%n;
    if (tn<0) tn+=n;
    tp=tc;
    tc=tn;
    rp=rc;
    rc=rn;
  }
  return((rc==1)?tc:-1);
}

/*void main(void)
{
  long a, b, f, g;

  for(;;)
  {
    b = ((long)random(32767)+2)|1;
    a = ((long)random(32767)+2)|1;

    if ((f=invmod(a,b)) != -1)
    {
      g = (b*f)%a;
      if (g != 1)
      {
        printf("%ld %ld %ld = %ld\n",a,b,f,g);
        getch();
      }
      else
        printf(".");
    } else printf("-");
  }
} */

void main(void)
{
  long a=12345, b=23456, i;

  i=invmod(a,b);
  printf("a=%ld b=%ld i=%ld  %ld*%ld%%%ld=%ld\n",a,b,i,a,i,b,(a*i)%b);
}
