#include <stdio.h>
#include <dos.h>
#include <dir.h>

int main(void)
{
  char s[MAXPATH];
  char drive[MAXDRIVE];
  char dir[MAXDIR];
  char file[MAXFILE];
  char ext[MAXEXT];
  int x;
  struct ffblk ffblk;

  if (_argc != 2)
  {
    puts("Usage: SEQREN filename\n"
         "       renames filename to filename.nnn, where nnn is a unique 3 digit sequence");
    return(1);
  }

  fnsplit(_argv[1],drive,dir,file,NULL);
  for (x = 0; x < 1000; x++)
  {
    sprintf(ext,".%.3d",x);
    fnmerge(s,drive,dir,file,ext); /* merge everything into one string */

    if (findfirst(s,&ffblk,0xff))
    {
      if (rename(_argv[1], s)) goto error;
      printf("SEQREN renamed %s to %s\n",_argv[1],s);
      return(0);
    }
  }
  error:
  puts("SEQREN failed\n");
  return(1);
}
