// rng-based cipher system

#define RNGSIZE 104

typedef struct
{
  char t[RNGSIZE];                      // the rng state table
  int a, b;                             // rng table indexes
} RNG;

void rnginit(char *key, RNG *r);        // initialize rng with key string
char rng(RNG *r);                       // return a random number
char encipher(int c);                   // encipher character
char decipher(int c);                   // decipher character
void initcipher(char *k);               // init cipher
