#!/bin/bash

# cron job, pull latest news from clarinet and extract into database, create web pages

# -r forces resync for last 5 days
getopts r resync

# pos file
p=/crux/clarinet/pull/pos

# maybe get all for last 2 days
if [[ $resync != '?' || ! -e $p ]]; then p="-p2,0 $p"; fi 

cmd="/usr/bin/perl /crux/clarinet/pullxml.pl -a -fclarinet.mailbug.net $p"
export cmd;

# don't trust clarinet pullxml program but do trust 'extract.pl'
#echo $cmd
/bin/su -s /bin/sh nobody -c '$cmd'
