#!/usr/bin/perl

use CGI;
use URI;
use warnings;
use strict;

# output html page
sub html($@)
{
  my $title = shift;
  my $html = join '',@_;

  print "Content-type: text/html\n\n<html>
         <head><title>$title</title>
         </head>
         <body>
         $html  
         </body></html>";
  exit;
}

$SIG{__DIE__}= sub { chomp(my @s = @_); html "Sorry","An error has occurred: @s." };
$SIG{__WARN__}=sub { warn "@{[scalar localtime]}:$ENV{QUERY_STRING}]:@_" }; # add timestamp because apache doesn't

html "Test","Cookies:",(map { " $_=".CGI::cookie($_) } CGI::cookie()),"<br>",
            (map { " $_=$ENV{$_}<br>" } keys %ENV);       

