#!/usr/bin/perl
use warnings;
use strict;
use CGI qw(param);
use Net::POP3;

my $host = (param 'host')||'pop.mailbug.com' ;
my $user = (param 'user')||'@mailbug.com';
my $pass = (param 'pass')||'';

print "Content-type: text/html\n\n
       <html>
       <head>
       <title>Alternate Mailbox Test</title>
       </head>
       <body>
       Enter mailbox information and click 'OK':<br>  
       <form method=post>
       <table borderwidth=0>
         <tr><td>Host<td><input type=text value='$host' name=host>
         <tr><td>User<td><input type=text value='$user' name=user>
         <tr><td>Pass<td><input type=text value='$pass' name=pass><td><input type=submit value=OK>
       </table>";

if ($host && $user && $pass)
{
  my $msg = "host unavailable";
  if (my $pop=Net::POP3->new($host, Timeout=>10))
  {
    my $n = $pop->login($user, $pass);
    $msg = $pop->message;
    if ($n)
    {
      my $sum = 0;
      $sum += $_ for values %{$pop->list()};
      $msg .= " ($sum bytes)";
    }
  } 
  print "<hr>Result for $user\@$host: <b>$msg</b>";
}

print "</form></body></html>";
