$ORIGIN .
$TTL 900
landel.com    IN SOA  dns1.mailbug.net. root.mailbug.net. (
                        2016091261 ; serial
                        1h         ; refresh
                        1h         ; retry
                        1w         ; expire
                        900        ; minimum
                    )
                    
                    NS dns1.mailbug.net.
                    NS dns2.mailbug.net.
                    NS dns3.mailbug.net.
                    
                    MX 10 sitemail.everyone.net. 
                    MX 20 sitemail2.everyone.net. 
                    
                    TXT "v=spf1 ptr include:mailbug.net ?all" ; SPF hack, spf.pobox.com

$ORIGIN landel.com.
webmail             CNAME siteurl.everyone.net.
smtp                CNAME smtp.everyone.net.
inbound             CNAME sitemail.everyone.net.
pop                 CNAME pop.everyone.net.  

; www hosted by godaddy
;www                 A 72.167.232.143 
;landel.com.         A 72.167.232.143 
www                 A 198.71.233.214
landel.com.         A 198.71.233.214


; firewall at via del oro
; arachnid            A 69.198.228.138 
; arachnid            A 108.83.103.153 
arachnid            A 204.11.231.130 
gnat                CNAME arachnid
ara2                CNAME arachnid

; For Comodo cert 3/19/22
_D623A14DA5EF81FF064E5DE3AE0C6B55.landel.com	CNAME 0C61915D32E367263F36440CEA8C34DE.F5E6FD0E571AC17A1530E371CF40A75D.V5B5555DaH35DB5C35bM.sectigo.com

; stuff for CISP
wam		            A 65.196.203.113
signup 		        A 208.252.178.13

comments            CNAME proxy.herokuapp.com.
