#!/bin/sh
PATH=/bin:/usr/bin

##########
# /root/bin/backup23.x
# 3/22/23
# modified backup without gpg
# Not yet in cron - run manually
# 
# Original Only does etc root
# added crux although master is in DB3
# For UTIL3, LX4 include named
# excludes .cpan - MySQL build

##########
#me=$(hostname)
me=`hostname -s`

stamp() { echo $(date): $@; }

##########
stamp Starting backup

# keep a few old ones    
stamp Watch Disk Space
#find /backup -name $me'*gpg' -mtime +3 -exec rm {} \;
#find /backup -name $me'*gz' -mtime +3 -exec rm {} \;

stamp Building tarball
cd /
#tar -cz --exclude root/.cpan etc root | gpg --always-trust -r arachnid --encrypt -o /backup/$me.`date +%Y-%m-%d.%H-%M-%S`.tar.gz.gpg

# Run without gpg
BAKF=/backup/$me.`date +%Y-%m-%d.%H-%M-%S`.tar.gz
tar -cz --exclude root/.cpan etc root crux named/etc >  $BAKF

stamp Updating rsync.net
cd /backup
#rsync -v -a --bwlimit=40 --include='*gpg' --exclude='*' --delete -e ssh . rsync.net:$me/
# without .pgp file
#rsync -v -a --bwlimit=40 --include='*gz' --exclude='*' --delete -e ssh . rsync.net:$me/
rsync -v -a --bwlimit=400 --include='$BAKF' --progress           -e ssh . rsync.net:$me/

stamp Done
    
