// byte random number generator
#include "brand.h"

// initialize specified key from given seed
void brinit(unsigned char *seed, int len, BRKEY *k)
{
  unsigned char n, i;
  int x;

  k->a = 0;
  k->b = 0;
  for(x = 0; x < 256; x++) k->state[x] = x;
  for(i = x = 0; x < 256; x++)
  {
    i += seed[x % len] + (n=k->state[x]);
    k->state[x]=k->state[i];
    k->state[i]=n;
  }
}

// return next random byte
unsigned char brand(BRKEY *k)
{
  unsigned char n;

  k->b += k->state[++k->a];
  n = k->state[k->a];
  k->state[k->a]=k->state[k->b];
  k->state[k->b]=n;
  return(k->state[(unsigned char)(k->state[k->a]+k->state[k->b])]);
}
