#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>

#define MAXSH 8192

void croak(char *s)
{
  fputs(s,stderr);
  exit(1);
}

void main(int argc, char *argv[])
{
  int t, x, n;
  long l;
  FILE *f;
  long deck[MAXSH];

  char buffer[2048];

  if (argc != 2) croak("Usage: SHUFFLE filename");
  if (!(f = fopen(argv[1],"r"))) croak("Bad filename");

  for(x=0;;x++)
  {
    if (x == MAXSH) croak("File too large");
    deck[x] = ftell(f);
    if (!fgets(buffer,sizeof(buffer),f)) break;
  }

  if (!x) croak("File empty");

  for (t = 0; t < x; t++)
  {
    n = random(x);
    l = deck[t];
    deck[t] = deck[n];
    deck[n] = l;
  }

  while (--x >= 0)
  {
    fseek(f,deck[x],SEEK_SET);
    fgets(buffer,sizeof(buffer),f);
    *strchr(buffer,'\n')=0;
    puts(buffer);
  }

  fclose(f);
}