#!/usr/bin/perl

use warnings;
use strict;
use CGI 'param';
use DBI;

my $data = param 'data' or die "No data";

$data =~ s/\s+$//mg;

# connect to database
my $DB = DBI->connect("DBI:mysql:support:mbdb",'support',undef,{RaiseError => 1, AutoCommit=>1}) or die "can't connect to database\n";
$DB->do("lock tables thread write, msg write");
    
$DB->do("insert into thread set contact='nobody', date=now(), touched=now(), subject='Web Query'");
my $thread_id = $DB->selectrow_array("select LAST_INSERT_ID()");

$DB->do("insert into msg set thread_id=?, date=now(), body=?, raw='', isrecv=1", undef, $thread_id, $data);
$DB->do("unlock tables");

print "Content-type: text/plain\n\nSuccess!"
