#!/bin/bash

if [[ -z $1 ]]; then echo Usage: mkcert domain; exit; fi
if [[ -e $1.key || -e $1.crt ]]; then 
  read -p "Overwrite existing certificate for $1? " -n 1; echo;
  if [[ -z ${REPLY//[^Yy]/} ]]; then exit; fi 
fi

openssl genrsa -out $1.key 1024 || exit;
echo -en ".\n.\n.\n.\n.\n$1\n.\n" | openssl req -new -key $1.key -x509 -days 3650 -out $1.crt -set_serial $(date +%s); echo
echo Done.
