$ORIGIN .
$TTL 900
mailbug.com	IN SOA dns1.mailbug.net. root.mailbug.net. (
                                    2023022702 ; serial
                                    1h         ; refresh
                                    1h         ; retry
                                    2w         ; expire
                                    1d         ; minimum
                            )
		            
                    NS dns1.mailbug.net.
; dns2 out 2018?
;  NS dns2.mailbug.net.
                    NS dns3.mailbug.net.
                    
                    MX 10 sitemail.everyone.net. 
                    MX 20 sitemail2.everyone.net. 
; ORIGINAL                    
;            TXT "v=spf1 ptr include:mailbug.net ?all" ; SPF hack, spf.pobox.com
; CHANGED 2/22,3/3/22, 3/4/22m 2/27/23
;       TXT "v=spf1 ip4:216.218.222.24 include:spf.everyone.net ?all"
;       TXT "v=spf1 ip4:216.218.222.24 ?all"
    TXT "v=spf1 a mx ip4:216.218.222.24 include:spfc40.carrierzone.com ~all"
	TXT "google-site-verification=wTVbjEgG-tDcTU4UCXBOONJA3xyUGovMVp3UdfecxYw"

; ADDED 2/27/23
hmail._domainkey    CNAME    hmail._domainkey.carrierzone.com

; At everyone.net Gmail s behest 1/20/22
hmail._domainkey.mailbug.com. 	TXT	"v=DKIM1; k=rsa; ""p=MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAsSzLC0k7C8/8suVVBp6tZxq0Gag6GXJQvo7hUbWn9ii+zczaVP2O2xpq+DkdL5NVWj1E6wNpxzIWI2CR0Tf9tZE9VJUPgVrUh9q4En3bB2PsYdnIm7vKcAyEaE9aXWk5ag3fVZBUhVn9idxaOXYHB9tx8ANjI9aFyvMZDe9zlc70DW87zVlJV4ZICjk0nkMLqE37cVmVzFd7f1""ujNs7+IhkxKOU31ql/lQQb4XXG9wjvhVbbM/+UzWk9UG08IdIZTem8w/73tO/N5wxMJM77BQQH+4+yHA/3Ivtr0TV7XOrFmAf/qoiKQzksUBAQglN12XPlvB6VbqPlZRC7gE4vFwIDAQAB"

$ORIGIN mailbug.com.
webmail             CNAME siteurl.everyone.net.
smtp                CNAME smtp.everyone.net.
inbound             CNAME sitemail.everyone.net.
pop                 CNAME pop.everyone.net.   

; www hosted by godaddy
; www                 A 72.167.232.143 
; www                 A 50.63.99.1
; @                   A 50.63.99.1
www                 A 184.168.47.225
@                   A 184.168.47.225
