$ORIGIN .
$TTL 900
test.landel.com     IN SOA  dns1.mailbug.net. root.mailbug.net. (
                        2009111001 ; serial
                        1h         ; refresh
                        1h         ; retry
                        1w         ; expire
                        900        ; minimum
                    )
                    
                    NS dns1.mailbug.net.
                    NS dns2.mailbug.net.
                    NS dns3.mailbug.net.
                    
                    MX 10 sitemail.everyone.net. 
                    MX 20 sitemail2.everyone.net. 
              
                    TXT "v=spf1 ptr include:mailbug.net ?all" ; SPF hack, spf.pobox.com

$ORIGIN test.landel.com.
inbound             CNAME sitemail.everyone.net.
webmail             CNAME siteurl.everyone.net.
pop                 CNAME pop.everyone.net.
imap                CNAME imap.everyone.net.
smtp                CNAME smtp.everyone.net.


